﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletShooter : MonoBehaviour
{

    [SerializeField] private GameObject bullet;

    [SerializeField] private Transform startPosition;

    [SerializeField] private Animator hand1, hand2;
    [SerializeField] private bool isDownShooter = false;

    private PlayerController myPC;
    // Start is called before the first frame update
    void Start()
    {
        myPC = GetComponent<PlayerController>();
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetButtonDown("Fire1"))
        {
            GameObject b = Instantiate(bullet, startPosition.position, Quaternion.identity);
            if (isDownShooter)
                b.transform.Rotate(Vector3.forward, -90);
            else if (!myPC.faceRight)
                b.transform.Rotate(Vector3.forward, 180);
            if (hand1 != null)
                hand1.SetTrigger("Fire");
            if (hand2 != null)
                hand2.SetTrigger("Fire");
        }
            
    }
}
