﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Attacher : MonoBehaviour
{
    [SerializeField] private String tagToDetect;
    [SerializeField] private GameObject newObject;
    [SerializeField] private float timeToStartAttaching = .5f;
    [SerializeField] private AudioClip audio;

    private float timer = 0;
    
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        if (timer >= 0)
        {
            timer += Time.deltaTime;
            if (timer > timeToStartAttaching)
                timer = -1;
        }
        
    }

    private void OnTriggerEnter2D(Collider2D other)
    {
        if (timer >= 0)
            return;

        if (other.CompareTag(tagToDetect))
        {
            GameObject g = Instantiate(newObject, transform.position, Quaternion.identity);
            g.SetActive(true);
            if (other.transform.parent == null)
                Destroy(other.gameObject);
            else
            {
                Destroy(other.transform.parent.gameObject);
            }
            GameObject.FindObjectOfType<AudioSource>().PlayOneShot(audio);
            Destroy(gameObject);
        }
    }
}
